Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGEllipseElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, SVGElement, SVGExternalResourcesRequired, SVGLangSpace, SVGLocatable, SVGStylable, SVGTests, SVGTransformable

All Known Implementing Classes:
  SVGOMEllipseElement

public interface SVGEllipseElement
extends SVGElement, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGStylable, SVGTransformable, org.w3c.dom.events.EventTarget

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedLength` | `getCx()`
`SVGAnimatedLength` | `getCy()`
`SVGAnimatedLength` | `getRx()`
`SVGAnimatedLength` | `getRy()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGTests
`getRequiredExtensions, getRequiredFeatures, getSystemLanguage, hasExtension`

Methods inherited from interface org.w3c.dom.svg.SVGLangSpace
`getXMLlang, getXMLspace, setXMLlang, setXMLspace`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Methods inherited from interface org.w3c.dom.svg.SVGTransformable
`getTransform`

Methods inherited from interface org.w3c.dom.svg.SVGLocatable
`getBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getScreenCTM, getTransformToElement`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Method Detail

### getCx

    public SVGAnimatedLength getCx()

### getCy

    public SVGAnimatedLength getCy()

### getRx

    public SVGAnimatedLength getRx()

### getRy

    public SVGAnimatedLength getRy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.